//*****************************************************************
// 
//  JAVA Source for com.idautomation.maxicode; 3.1
//  
//  Copyright, IDAutomation.com, Inc. 2000-2004. 
//  All rights reserved.
//  
//  http://www.IDAutomation.com/java/
//  
//  NOTICE:
//  You may incorporate our Source Code in your application
//  only if you own a valid Java Developer License
//  from IDAutomation.com, Inc. and the copyright notices 
//  are not removed from the source code.
//  
//*****************************************************************

import java.io.*;
import com.idautomation.maxicode.*;
import com.idautomation.maxicode.encoder.*;
class CreateJPEG
{
    public static void main ( String [] args )
    {
      //NOTE: "MaxiCode" is the class of the linear barcode encoder
      MaxiCode rm=new MaxiCode();
      rm.setZipCode("");
      rm.setCountry("");
      rm.setServiceClass("");
      rm.setMode(2);
      char GS = (char)29;
      char RS = (char)30;
	char EOT = (char)4;
	// Example of encoding data for UPS, for more information please refer to:
	// http://www.idautomation.com/maxicodefaq.html#MaxiCode-for-UPS
      rm.setData("[)>"+RS+ "01"+GS+ "01336260000"+GS+ "840"+GS+ "002"+GS+ "1Z14647438"+GS+"UPSN"+GS+"410E1W"+GS+"195"+GS+GS+"1/1"+GS+GS+"Y"+GS+"Dery"+GS+"TAMPA"+GS+"FL"+RS+EOT);
      rm.setAutoResize(true);
      rm.setRedraw(true);
      // set the size
      rm.setSize(rm.getPreferredSize());
      // create the file
      barCodeEncoder bce = new barCodeEncoder(rm, "JPEG", "MaxiCode.jpeg");
      System.exit(0);
    }
}
